################################################################################
# Package: MuonDQAUtils
################################################################################

# Declare the package name:
atlas_subdir( MuonDQAUtils )

# External dependencies:
find_package( CLHEP )
find_package( ROOT COMPONENTS Core Tree MathCore Hist RIO pthread MathMore Minuit Minuit2 Matrix Physics HistPainter Rint Graf Graf3d Gpad Html Postscript Gui GX11TTF GX11 )

# tag ROOTBasicLibs was not recognized in automatic conversion in cmt2cmake

# Component(s) in the package:
atlas_add_library( MuonDQAUtilsLib
                   src/*.cxx
                   PUBLIC_HEADERS MuonDQAUtils
                   INCLUDE_DIRS ${ROOT_INCLUDE_DIRS}
                   PRIVATE_INCLUDE_DIRS ${CLHEP_INCLUDE_DIRS}
                   PRIVATE_DEFINITIONS ${CLHEP_DEFINITIONS}
                   LINK_LIBRARIES ${ROOT_LIBRARIES} AthenaBaseComps EventKernel GaudiKernel ParticleEvent AnalysisTriggerEvent JetTagEvent JetEvent muonEvent Particle egammaEvent LWHists TrigMuonEvent TrigSteeringEvent StoreGateLib SGtests
                   PRIVATE_LINK_LIBRARIES ${CLHEP_LIBRARIES} )

atlas_add_component( MuonDQAUtils
                     src/components/*.cxx
                     INCLUDE_DIRS ${ROOT_INCLUDE_DIRS} ${CLHEP_INCLUDE_DIRS}
                     LINK_LIBRARIES ${ROOT_LIBRARIES} ${CLHEP_LIBRARIES} AthenaBaseComps StoreGateLib SGtests EventKernel GaudiKernel ParticleEvent AnalysisTriggerEvent JetTagEvent JetEvent muonEvent Particle egammaEvent LWHists TrigMuonEvent TrigSteeringEvent MuonDQAUtilsLib )

